<form [formGroup]="form" (ngSubmit)="onFilter()">
  <layout-filter-content
    [title]="'CUSTOMERS.CUSTOMERS.FILTERS.TITLE' | translate"
    [description]="'CUSTOMERS.CUSTOMERS.FILTERS.DESCRIPTION' | translate"
    [results]="(customerTable$ | async)?.filtered"
    [hasFiltredData]="isCustomersFiltred$ | async"
    [hasAdvanceFilters]="true"
    (cleanFilters)="onCleanFilters()"
  >
    <div class="main-filter" slot="main-filter">
      <mo-input
        formControlName="search"
        [placeholder]="'CUSTOMERS.CUSTOMERS.FILTERS.SEARCH_BAR' | translate"
        [icon]="'uil-search'"
        [iconPosition]="ICON_POSITION.RIGHT"
      ></mo-input>
    </div>
    <div slot="filters" class="filters">
      <mo-drop-down
        formControlName="active_loans"
        [options]="activeLoansOptions"
        [defaultOptionName]="
          'CUSTOMERS.CUSTOMERS.FILTERS.NUMBER_OF_ACTIVE_LOANS' | translate
        "
      ></mo-drop-down>
      <mo-drop-down
        formControlName="status"
        [options]="customerStatusOptions"
        [defaultOptionName]="
          'CUSTOMERS.CUSTOMERS.FILTERS.CUSTOMER_STATUS' | translate
        "
      ></mo-drop-down>
    </div>
    <div slot="advanced-filters" class="filters">
      <mo-date
        data-testid="created_at"
        formControlName="created_at"
        [placeholder]="'CUSTOMERS.CUSTOMERS.FILTERS.CREATED_AT' | translate"
      ></mo-date>
      <mo-date
        formControlName="updated_at"
        [placeholder]="'CUSTOMERS.CUSTOMERS.FILTERS.UPDATED_AT' | translate"
      ></mo-date>
    </div>
  </layout-filter-content>
  <div class="buttons">
    <mo-button
      [text]="'APP.FILTERS.BTN_SEARCH' | translate"
      [designClass]="BUTTON_DESIGN_CLASS.PRIMARY"
      [displayBlock]="true"
      [size]="SIZES.MD"
      [type]="BUTTON_TYPE.SUBMIT"
    >
    </mo-button>
  </div>
</form>
